- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Panel

A panel is an animated side-panel that contains a sub-object. It can be expanded or contracted by clicking the button on its edge. More...

## Macros
#define | elm_obj_panel_orient_set(orient) ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_ORIENT_SET), EO_TYPECHECK(Elm_Panel_Orient, orient)
| Sets the orientation of the panel. More...
#define | elm_obj_panel_orient_get(ret) ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_ORIENT_GET), EO_TYPECHECK(Elm_Panel_Orient *, ret)
| Get the orientation of the panel. More...
#define | elm_obj_panel_hidden_set(hidden) ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_HIDDEN_SET), EO_TYPECHECK(Eina_Bool, hidden)
| Set the state of the panel. More...
#define | elm_obj_panel_hidden_get(ret) ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_HIDDEN_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get the state of the panel. More...
#define | elm_obj_panel_toggle() ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_TOGGLE)
| Toggle the hidden state of the panel from code. More...

## Functions
Evas_Object * | elm_panel_add (Evas_Object *parent)
| Adds a panel object. More...
void | elm_panel_orient_set (Evas_Object *obj, Elm_Panel_Orient orient)
| Sets the orientation of the panel. More...
Elm_Panel_Orient | elm_panel_orient_get (const Evas_Object *obj)
| Get the orientation of the panel. More...
void | elm_panel_hidden_set (Evas_Object *obj, Eina_Bool hidden)
| Set the state of the panel. More...
Eina_Bool | elm_panel_hidden_get (const Evas_Object *obj)
| Get the state of the panel. More...
void | elm_panel_toggle (Evas_Object *obj)
| Toggle the hidden state of the panel from code. More...

## Detailed Description

A panel is an animated side-panel that contains a sub-object. It can be expanded or contracted by clicking the button on its edge.

Orientations are as follows:

- `ELM_PANEL_ORIENT_TOP`
- `ELM_PANEL_ORIENT_LEFT`
- `ELM_PANEL_ORIENT_RIGHT`
- `ELM_PANEL_ORIENT_BOTTOM`

This widget inherits from the Layout one, so that all the functions acting on it also work for panel objects (

Since
  1.8).

This widget emits the following signals, besides the ones sent from Layout:

- `"focused"` : When the panel has received focus. (since 1.8)
- `"unfocused"` : When the panel has lost focus. (since 1.8)

Default content parts of the panel widget that you can use are:

- `"default"` - A content of the panel

Panel example shows one way to use this widget.

## Macro Definition Documentation

#define elm_obj_panel_hidden_get | ( |  | ret | ) | ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_HIDDEN_GET), EO_TYPECHECK(Eina_Bool *, ret)

Get the state of the panel.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_panel_hidden_get

Referenced by elm_panel_hidden_get().

#define elm_obj_panel_hidden_set | ( |  | hidden | ) | ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_HIDDEN_SET), EO_TYPECHECK(Eina_Bool, hidden)

Set the state of the panel.

Since
  1.8

Parameters

  [in] | hidden |

See Also
  elm_panel_hidden_set

Referenced by elm_panel_hidden_set().

#define elm_obj_panel_orient_get | ( |  | ret | ) | ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_ORIENT_GET), EO_TYPECHECK(Elm_Panel_Orient *, ret)

Get the orientation of the panel.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_panel_orient_get

Referenced by elm_panel_orient_get().

#define elm_obj_panel_orient_set | ( |  | orient | ) | ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_ORIENT_SET), EO_TYPECHECK(Elm_Panel_Orient, orient)

Sets the orientation of the panel.

Since
  1.8

Parameters

  [in] | orient |

See Also
  elm_panel_orient_set

Referenced by elm_panel_orient_set().

#define elm_obj_panel_toggle | ( |  | ) | ELM_OBJ_PANEL_ID(ELM_OBJ_PANEL_SUB_ID_TOGGLE)

Toggle the hidden state of the panel from code.

Since
  1.8

See Also
  elm_panel_toggle

Referenced by elm_panel_toggle().

## Function Documentation

Evas_Object* elm_panel_add | ( | Evas_Object * | parent | ) |

Adds a panel object.

Parameters

  parent | The parent object

Returns
  The panel object, or NULL on failure

Eina_Bool elm_panel_hidden_get | ( | const Evas_Object * | obj | ) |

Get the state of the panel.

Parameters

  obj | The panel object

Returns
  EINA_TRUE if it is hidden state

References elm_obj_panel_hidden_get.

void elm_panel_hidden_set | ( | Evas_Object * | obj,
|  | Eina_Bool | hidden
| ) |  |

Set the state of the panel.

Parameters

  obj | The panel object
  hidden | If true, the panel will run the animation to disappear.

References elm_obj_panel_hidden_set.

Elm_Panel_Orient elm_panel_orient_get | ( | const Evas_Object * | obj | ) |

Get the orientation of the panel.

Parameters

  obj | The panel object

Returns
  The Elm_Panel_Orient, or ELM_PANEL_ORIENT_LEFT on failure.

References elm_obj_panel_orient_get.

void elm_panel_orient_set | ( | Evas_Object * | obj,
|  | Elm_Panel_Orient | orient
| ) |  |

Sets the orientation of the panel.

Parameters

  obj | The panel object
  orient | The panel orientation. Can be one of the following: ELM_PANEL_ORIENT_TOP ELM_PANEL_ORIENT_LEFT ELM_PANEL_ORIENT_RIGHT Sets from where the panel will (dis)appear.

References elm_obj_panel_orient_set.

void elm_panel_toggle | ( | Evas_Object * | obj | ) |

Toggle the hidden state of the panel from code.

Parameters

  obj | The panel object

References elm_obj_panel_toggle.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14